Uploaded image for project: 'Apache Arrow'
  1. Apache Arrow
  2. ARROW-5087

[Debian] APT repository no longer contains libarrow-dev

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 0.13.0
    • Component/s: Packaging
    • Labels:
      None

      Description

      After following the Debian APT repository setup instructions in https://arrow.apache.org/install/, apt can no longer find the libarrow-dev package:

      root@674af4cba924:/# apt update
      Get:1 http://apt.llvm.org/stretch llvm-toolchain-stretch-7 InRelease [4235 B]
      Get:3 http://apt.llvm.org/stretch llvm-toolchain-stretch-7/main Sources [2506 B]
      Get:4 http://apt.llvm.org/stretch llvm-toolchain-stretch-7/main amd64 Packages [9063 B]
      Hit:2 http://security-cdn.debian.org/debian-security stretch/updates InRelease
      Ign:5 https://dl.bintray.com/apache/arrow/debian stretch InRelease
      Get:6 https://dl.bintray.com/apache/arrow/debian stretch Release [4087 B]
      Get:8 https://dl.bintray.com/apache/arrow/debian stretch Release.gpg [833 B]
      Ign:7 http://cdn-fastly.deb.debian.org/debian stretch InRelease
      Hit:9 http://cdn-fastly.deb.debian.org/debian stretch-updates InRelease
      Get:10 https://dl.bintray.com/apache/arrow/debian stretch/main amd64 Packages [3036 B]
      Hit:11 http://cdn-fastly.deb.debian.org/debian stretch Release
      Fetched 23.8 kB in 0s (33.1 kB/s)
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      1 package can be upgraded. Run 'apt list --upgradable' to see it.
      root@674af4cba924:/# apt install -y libarrow-dev
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      E: Unable to locate package libarrow-dev
      root@674af4cba924:/# apt search libarrow
      Sorting... Done
      Full Text Search... Done
      libarrow-cuda-glib-dev/unknown 0.13.0-1 amd64
      Apache Arrow is a data processing library for analysis
      
      libarrow-cuda-glib13/unknown 0.13.0-1 amd64
      Apache Arrow is a data processing library for analysis
      
      libarrow-cuda13/unknown 0.13.0-1 amd64
      Apache Arrow is a data processing library for analysis

      This worked just fine last week, so I assume something bad happened with the 0.13 release? The packages seem to be in bintray at least: https://bintray.com/apache/arrow/debian/0.13.0#files/debian%2Fpool%2Fstretch%2Fmain%2Fa%2Fapache-arrow

        Attachments

          Activity

            People

            • Assignee:
              kou Kouhei Sutou
              Reporter:
              sfackler Steven Fackler
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: